﻿@model MovieDatabaseMVC.Models.MovieDatabaseData


<h2>@ViewBag.Title</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr />
        <h4>@ViewBag.Message</h4>

        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @if (Model.Error==null){
        <div class="form-group">
            <div class="col-md-10">
                @if (Model.ListOfGenres != null)
                {
                    if (Model.ListOfCountries != null)
                    {
                        <h4>Vybraný/é žánr/y</h4>

                        for (int i = 0; i < Model.ListOfGenres.Count; i++)
                        {
                            @Html.DisplayFor(model => Model.ListOfGenres[i].Text)<br />
                            @Html.HiddenFor(model => Model.ListOfGenres[i].IsChecked)
                            <input type="hidden" name="ListOfGenres[@i].IsChecked" value="false" />
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Text)
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Value)
                        }
                        if (Model.TableOfMovies != null)
                        {
                            <h4>Vybraná/é země</h4>
                            for (int i = 0; i < Model.ListOfCountries.Count; i++)
                            {
                                @Model.ListOfCountries[i].Text <br>
                                @Html.HiddenFor(model => Model.ListOfCountries[i].IsChecked)
                                @Html.HiddenFor(model => Model.ListOfCountries[i].Text)
                                @Html.HiddenFor(model => Model.ListOfCountries[i].Value)
                            }
                            <table class="table">
                                <caption>Filmy pro vás</caption>
                                <thead>
                                    <tr>
                                        <td>Číslo</td>
                                        <td>Název</td>
                                        <td>Země</td>
                                        <td>Žánr</td>
                                    </tr>
                                </thead>
                                <tbody>
                                    @for (int i = 0; i < Model.TableOfMovies.Count; i++)
                                    {
                                        <tr>
                                            <td>@(i + 1)</td>
                                            <td>@Model.TableOfMovies[i].Name</td>
                                            <td>@Model.TableOfMovies[i].Country</td>
                                            <td>@Model.TableOfMovies[i].Genre</td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        }
                        else
                        {
                            <h4>Vyberte si zemi/ě</h4>
                            for (int i = 0; i < Model.ListOfCountries.Count; i++)
                            {
                                @Html.CheckBoxFor(model => Model.ListOfCountries[i].IsChecked, new { @class = "control-label" }) @Model.ListOfCountries[i].Text
                                @Html.HiddenFor(model => Model.ListOfCountries[i].Text)
                                @Html.HiddenFor(model => Model.ListOfCountries[i].Value)
                            }
                        }
                    }
                    else
                    {
                        <h4>Vyberte si žánr/y</h4>
                        for (int i = 0; i < Model.ListOfGenres.Count; i++)
                        {
                            @Html.CheckBoxFor(model => Model.ListOfGenres[i].IsChecked, new { @class = "control-label" }) @Model.ListOfGenres[i].Text
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Text)
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Value)
                        }
                    }
                }

            </div>
        </div>

        if (Model.TableOfMovies == null)
        {
            <div class="form-group">
                <div class="col-md-10">
                    <input type="submit" value="Vyhledat" class="btn btn-info" />
                </div>
            </div>
        }
        <div class="form-group">
            <div class="col-md-10">
                <button onclick="location.href='@Url.Action("Index", "Home")';return false;" class="btn btn-info">Začít znovu</button>
            </div>
        </div>
        }
    </div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
